%define upstream_name    Sys-Info-Base
%define upstream_version 0.78

%define _requires_exceptions perl(TARGET_CLASS)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Base classes for Sys::Info
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SYS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl-devel
%description
Perl base classes for Sys::Info.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README SPEC
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Apr 19 2011 jquelin <jquelin> 0.780.0-1.mga1
+ Revision: 88551
- update to 0.78

* Sat Jan 22 2011 jquelin <jquelin> 0.730.0-2.mga1
+ Revision: 31201
- mageia rebuild
- imported package perl-Sys-Info-Base


* Tue Jan 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-2mdv2010.1
+ Revision: 493594
- adding some requires exceptions

* Thu Jan 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 491170
- update to 0.73

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 484721
- SILET fix it
- import perl-Sys-Info-Base


